//+------------------------------------------------------------------+
//|                                   FXA0 - CCI Majoro ver1 IND.mq4 |
//|                            Copyright  2007 Adam J. Richter M.S. |
//|                                                                  |
//|  This indicator plots the cci and the moving average of the      |
//|  cci.                                                            |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007 Adam J. Richter M.S."
#property link      ""

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue

extern int rsi_period=21;
extern int rsi_timeframe=0; //0 if timeframe of chart put on, otherwise specify

extern int wmarsi_period=42;

double rsi[];
double wmarsi[];

int i=0; //my counter

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,rsi);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,wmarsi);
   SetIndexLabel(0,"rsi");
   SetIndexLabel(1,"wmarsi");
//----
   return(1);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   for (i=Bars; i>=0; i--) //fill cci array with cci values
   {
      rsi[i]=iRSI(NULL,rsi_timeframe,rsi_period,PRICE_CLOSE,i);
   }
   ArraySetAsSeries(rsi,true); //reverse contents of array
   for (i=Bars; i>=0; i--) //fill cci array with cci values
   {
      wmarsi[i]=iMAOnArray(rsi,0,wmarsi_period,0,MODE_EMA,i);
   }
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+